Generate a Pix payment
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashout/pix \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 100,
"description": "description",
"external_id": "external_id 1",
"pix_ref_bank_account": {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"name": "Name Test",
"number": "123456",
"tax_number": "05964110000197",
"type": "checking"
},
"pix_ref_id": "1a760495-cb95-4023-96e8-0cff5776b010",
"pix_ref_type": "key",
"virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/pix"
payload = {
"amount": 100,
"description": "description",
"external_id": "external_id 1",
"pix_ref_bank_account": {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"name": "Name Test",
"number": "123456",
"tax_number": "05964110000197",
"type": "checking"
},
"pix_ref_id": "1a760495-cb95-4023-96e8-0cff5776b010",
"pix_ref_type": "key",
"virtual_account_id": "1a760495-cb95-4023-96e8-0cff5776b010"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 100,
description: 'description',
external_id: 'external_id 1',
pix_ref_bank_account: {
branch: '0001',
digit: '1',
ispb: '12345678',
name: 'Name Test',
number: '123456',
tax_number: '05964110000197',
type: 'checking'
},
pix_ref_id: '1a760495-cb95-4023-96e8-0cff5776b010',
pix_ref_type: 'key',
virtual_account_id: '1a760495-cb95-4023-96e8-0cff5776b010'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashout/pix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"payment_document_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Transfer (Pix)
Generate a Pix Payment (v1)
Generate a Pix payment using the v1 endpoint after using Check Key Endpoint
POST
/
banking
/
cashout
/
pix
Generate a Pix payment
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Pix V1 payload
Body params to generate a Pix
Amount
Required range:
x <= 100000000000Pix reference type
Available options:
key, brcode, bank_account Unique identifier
Pix description
External ID
Pix reference bank account object
Show child attributes
Show child attributes
Pix unique identifier from DICT. Must be informed with Pix ref type is key or brcode
Platform ID
Response
GeneratePix
Response schema for a single Pix generation
Show child attributes
Show child attributes
⌘I

